with Ada.Strings.Unbounded;



package solver is

	use Ada.Strings.Unbounded;

	function ibox( timeout_sec: float;
		infilname: unbounded_string;
		ilevel, imaxlevel : integer;
		solutionPath : in out unbounded_string
		) return boolean;

	function puller( timeout_sec: float;
		infilname: unbounded_string;
		ilevel, imaxlevel : integer;
		solutionPath : in out unbounded_string
		) return boolean;


end solver;

